1. Workflows
ViewBot.dev
  • Channels
    • List all channels
      GET
    • Create a new channel
      POST
    • Get channel by ID
      GET
    • Update channel
      PUT
    • Delete channel
      DELETE
  • Messages
    • Send text message
      POST
    • Send file message
      POST
    • Send template message
      POST
    • Get messages
      GET
  • Conversations
    • Get conversations
      GET
  • ViewBot
    • Initialize ViewBot session
      POST
    • Get ViewBot customization
      GET
    • Save ViewBot customization
      POST
  • Media
    • Upload file
    • Transcribe audio message
  • Webhooks
    • Webhook endpoint
  • Workflows
    • List all workflows
      GET
    • Create a new workflow
      POST
    • Get workflow by ID
      GET
    • Update workflow
      PUT
    • Delete workflow
      DELETE
    • Get workflow steps
      GET
    • Add step to workflow
      POST
    • Replace all workflow steps
      PUT
    • Get specific step
      GET
    • Update specific step
      PUT
    • Delete specific step
      DELETE
    • Execute workflow
      POST
    • Get workflow executions
      GET
    • List chatbot flows
      GET
    • Create chatbot flow
      POST
  • AI
    • List AI assistants
    • Create AI assistant
    • Get AI assistant
    • Update AI assistant
    • Delete AI assistant
    • List assistant knowledge files
    • Upload knowledge file
    • Get AI suggested response
    • List available AI models
    • Get AI usage analytics
  • Templates
    • List message templates
    • Create message template
    • Get template
    • Update template
    • Delete template
  • Tokens
    • List API tokens
    • Create API token
    • Revoke API token
  • Organization
    • List organization members
    • List pending invitations
    • Invite member
    • List roles
    • Create role
    • Get user settings
    • Update user settings
  • Analytics
    • Get dashboard statistics
    • Analyze conversations
    • Get conversation insights
  • Integrations
    • Get Airtable settings
    • Save Airtable settings
    • List Airtable bases
    • List Airtable tables
    • Get Airtable records
    • Create Airtable record
    • Get Google Sheets settings
    • Save Google Sheets settings
    • List spreadsheets
    • Get spreadsheet records
    • Append spreadsheet record
    • Get Monday.com settings
    • Save Monday.com settings
    • List Monday boards
  • Schemas
    • Schemas
    • Response
      • BadRequest
      • Unauthorized
      • NotFound
    • Channel
    • CreateChannelRequest
    • UpdateChannelRequest
    • SendMessageRequest
    • SendFileRequest
    • SendTemplateRequest
    • ViewBotCustomization
    • Workflow
    • WorkflowTrigger
    • WorkflowStep
    • WorkflowAction
    • ConditionGroup
    • WorkflowCondition
    • CreateWorkflowRequest
    • UpdateWorkflowRequest
    • RunWorkflowRequest
    • WorkflowExecutionResult
    • ApiToken
    • CreateTokenRequest
    • CreateAIAssistantRequest
  1. Workflows

Create chatbot flow

POST
/flows

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or

Responses

🟢201
Flow created
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/flows' \
--header 'Authorization: Bearer <token>'
Modified at 2025-12-13 02:50:35
Previous
List chatbot flows
Next
List AI assistants
Built with